-- -
-- #%L
-- %%
-- Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
-- %%
-- You may use and modify this code under the terms of the Kuali, Inc.
-- Pre-Release License Agreement. You may not distribute it.
--
-- You should have received a copy of the Kuali, Inc. Pre-Release License
-- Agreement with this file. If not, please write to license@kuali.co.
-- #L%
-- -

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.2.2', 'Navigate to the Attachments section to include an explanation.',
'N', 'Y', 'PropDev-AttachmentsPage', 'PropDev-AttachmentsPage-ProposalSection', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.3.1', 'Ensure the entry on your Compliance screen includes an attachment.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.75', 'Review both your funding opportunity announcement and the Compliance attachments to ensure submitting the correct documents.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.4.6', 'Review both your funding opportunity announcement and the Compliance selection human subject entrie\'s Clinical Trial selections.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.4.7', 'Review all of the Compliance entries for Human Subjects and make sure a Justification is attached for any Delayed Onset Selections. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.6', 'Review and update the Exemption numbers in the Compliance Section for any Human Subjects entry. Exemption 7 and 8 are not valid for this Funding Opportunity Announcement.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.3', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.4', 'Navigate to the Compliance Section and review both the exemptions and the Clinical Trials questions withing the human study attachments.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.5', 'This Funding Opportunity Announcement anticipates a Clinical Trial. Please review the Compliance Section for any human subjects entries. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.7', 'Navigate to the Compliance Section to review any attached Human Study record to confirm all NCT Numbers listed are valid. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.5.8', 'Navigate to the Compliance Section to review any attached Human Study record to confirm all NCT Numbers listed are valid. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.1', 'Navigate to the Compliance Section to review any attached Human Study record to confirm all NCT Numbers listed are valid. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.2', 'Review the Compliance Section for human subject study where the Eligibility Criteria is not provided and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.3', 'Review the Compliance Section for human subject study where the Minimum Age limit is not provided, the selection is not NA and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.11', 'Review the Compliance Section for human subject study where N/A (No limits) has been selected as Minimum Age unit and a number for Minimum Age is provided and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.4', 'Review the Compliance Section for human subject study where Maximum Age limit is not provided and the selection is not NA and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.12', 'Review the Compliance Section for human subject study where N/A (No limits) has been selected as Maximum Age unit and a number for Maximum Age is provided and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.5', 'Review the Compliance Section for human subject study where Inclusion of Women, Minorities and Children attachment is not provided and if the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.6', 'Review the Compliance Section for human subject study where Recruitment and Retention Plan attachment is not provided when response to question 1.2 is \'Yes\' and E4 is not the only exemption number selected and answer to question 1.4a is "Yes".',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.7', 'Review the Compliance Section for human subject study where Recruitment and Retention Plan attachment is not provided when response to question 1.2 is \'Yes\' and E4 is not the only exemption number selected and answer to question 1.4a is "Yes".',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.8', 'Review the Compliance Section for human subject study where Study Timeline attachment is not provided when response to question 1.2 is \'Yes\' and E4 is not the only exemption number selected and answer to question 1.4a is "Yes".',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.9', 'Review the Compliance Section for human subject study where Enrollment of First Subject is not provided when response to question 1.2 is \'Yes\' and E4 is not the only exemption number selected and answer to  question 1.4a is "Yes".',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.10', 'Review the Compliance Section for human subject study where Inclusion Enrollment Report is not provided and the study is exempt from federal regulations (1.2 is yes) and E4 is not the only exemption number selected.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.13', 'Review the Compliance Section for human subject study where "Using an Existing Dataset or Resource" is "Yes" check that the  "Cumulative Counts" must be greater than zero OR "Comment" must be provided.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.15', 'Review the Compliance Section for human subject study where the response to using an existing data set or resource is "Yes" and ONLY "Unknown/Not Reported" greater than zero cumulative counts are provided.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.6.14', 'Review the Compliance Section for human subject study where the response to using an existing data set or resource is is "No", "Planned Counts" must be greater than zero OR "Comment" must be provided.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.1', 'Review the Compliance Section for human subject study and be sure that the Protection of Human Subjects are included within all study records. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.2', 'Review the Compliance Section for human subject study and be sure that the question "Is this a multi-site study that will use the same protocol to conduct non-exempt human subjects research at more than one domestic site?" has been answered within all study records. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.3', 'Review the Compliance Section for human subject study and be sure that the question "Is this a multi-site study that will use the same protocol to conduct non-exempt human subjects research at more than one domestic site?" has not been answered as N/A in any study records for this funding opportunity announcement. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.4', 'Review the Compliance Section for human subject study which has multi-site studies but is missing the single IRB plan.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.5', 'Review the Compliance Section for human subject study which is a clinical trial but does not include the data safety monitoring plan attachment. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.7.6', 'Review the Compliance Section for human subject study which the question has not been answered.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.1', 'Review the Compliance Section for human subject study where the study is marked cliniacl trial and a summary of the protocol has not been included.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.30', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.29', 'Please read the instructions to confirm the funding opportunity announcement is appropriate for submission. Also, check to make sure the Compliance Section does not contain any human subject entries with clinical trials. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.2', 'Please read the instructions to confirm the funding opportunity announcement is appropriate for submission. Also, check to make sure the Compliance Section does not contain any human subject entries with clinical trials. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.31', 'Please read the instructions to confirm the funding opportunity announcement is appropriate for submission. Also, check to make sure the Compliance Section does not contain any human subject entries with clinical trials. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.32', 'Please read the instructions to confirm the funding opportunity announcement is appropriate for submission. Also, check to make sure the Compliance Section does not contain any human subject entries with clinical trials. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.3', 'Review the Compliance Section for human subject study where the study does not include a primary purpose',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.4', 'Review the Compliance Section for human subject study where the study does not include a primary purpose',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.33', 'Review the Compliance Section for human subject study where the study does not include a primary purpose',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.35', 'Please read the instructions to confirm the funding opportunity announcement is appropriate for submission. Also, check to make sure the Compliance Section does not contain any human subject entries with clinical trials. ',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.5', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.57', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.58', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.6', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.8', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.10', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.11', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.39', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.56', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.12', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.42', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.70', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.13', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.14', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.43', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.74', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.15', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.16', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.46', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.37', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.17', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.47', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.38', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.18', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.48', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.49', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.19', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.50', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.51', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.20', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.21', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.24', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.60', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.61', 'If you need to select a different funding opportunity announcement then navigate to the S2S Opportunity Search section.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.25', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.62', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.63', 'If you need to select a different funding opportunity announcement then navigate to the S2S Opportunity Search section.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.26', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.64', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.65', 'If you need to select a different funding opportunity announcement then navigate to the S2S Opportunity Search section.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.27', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.66', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.67', 'If you need to select a different funding opportunity announcement then navigate to the S2S Opportunity Search section.',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.28', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.68', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.8.69', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.9.1', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());

insert into SEQ_NIH_VALIDATION values (null);
insert into NIH_VALIDATION_MAPPING (ID, RULE_NUMBER, CUSTOM_MSG, FORCE_ERROR, APPEND_TO_ORIGINAL, PAGE_ID,
SECTION_ID, ACTIVE, UPDATE_USER, UPDATE_TIMESTAMP, VER_NBR, OBJ_ID) values
((select max(ID) from SEQ_NIH_VALIDATION), '034.9.2', '',
'N', 'Y', 'PropDev-CompliancePage', 'PropDev-CompliancePage-Section', 'Y', 'admin', NOW(), '1', UUID());
